// Copyright (c) 2023 Tudor Stanciu

const isArray = (parameter: any): boolean => {
  const _isArray = parameter instanceof Array;
  // Array.isArray(parameter);
  return _isArray;
};

const isObject = (parameter: any): boolean => {
  const _isObject =
    typeof parameter === "object" &&
    parameter !== null &&
    !Array.isArray(parameter);
  return _isObject;
};

const isJson = (text: string): { data: any; success: boolean } => {
  try {
    const data = JSON.parse(text);
    return { data, success: true };
  } catch (e) {
    return { data: null, success: false };
  }
};

export { isArray, isObject, isJson };
